var _ = function(){
	var action = new PlugIn.Action(function(selection){
		var alert = new Alert("Resize Canvas", "Resize all canvases or just the current canvas to 1920 x 1080 pixels?")
		alert.addOption("Current Canvas")
		alert.addOption("All Canvases")
		alert.addOption("Cancel")
		alert.show(function(result){
			cnvs = document.windows[0].selection.canvas
			dimensions = new Size(1920,1080)
			if (result == 0){
				cnvs.size = dimensions
				cnvs.canvasSizingMode = CanvasSizingMode.Fixed
			} else if (result == 1){
				canvases.forEach(function(cnvs){
					cnvs.size = dimensions
					cnvs.canvasSizingMode = CanvasSizingMode.Fixed
				})
			} else {
				throw new Error('script cancelled')
			}
		})
	});

	// validation function
	action.validate = function(selection){
		return true
	};

	return action;
}();
_;